1

I have cloned recursively repositories. Next I go cd ~/eosio/eos and try

 ./scripts/eosio_build.sh

Is error: ./scripts/eosio_build.sh: line 126: set: -i: invalid option Line 126:

( [[ ! $NAME == "Ubuntu" ]] && [[ ! $ARCH == "Darwin" ]] ) && set -i # Ubuntu doesn't support interactive mode since it uses dash + Some folks are having this issue on Darwin; colors aren't supported yet anyway

I have Linux Mint 20

0

I assume the problem is that Linux Mint isn't supported, so if I were you I would just try removing the && set -i from the built script and try recompiling. This might cause other issues, if it does let me know in a comment, if it works then also let us know here too.

You can also get pre-built binaries here if you just need the software: https://github.com/EOSIO/eos/releases/tag/v2.0.7

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.